Subject: Re: Can't compile emacs trunk on Solaris 11

From: Paul Eggert <[email-masked]>
Date: Thu, 16 May 2013 20:59:05 -0700

I tried to reproduce the problem on Solaris 10 sparc as well,
and can't do it.  I also tried building 32-bit Emacs
implementations, using "gcc -m32", and couldn't reproduce
the problem there either.

I did notice serious problems in your build log
<http://debbugs.gnu.org/cgi/bugreport.cgi?msg=5;filename=compile-emacs-log.gz;att=1;bug=14407>;
pkg-config is repeatedly dumping core.  For example:

checking for alsa >= 1.0.0... ./configure: line 8975:   906 Killed                  "$PKG_CONFIG" --exists "$ALSA_MODULES" 2>&5
no

So my guess is that /opt/csw is part of the problem.
I suggest that you build without using /opt/csw, by
removing it from your PATH, and then rebuilding from
scratch.

>> Which is the most-recent trunk bzr version that worked for you?
>> You can bisect to find that.
> 
> A long time ago, but the release can work with --without-all

The idea of bisecting is that you can use binary search to
find out the exact revision number that stopped working
for you.  It takes a bit of time, but it can be well worth
doing.

> And how can I compile a debugable emacs that I can use mdb/gdb to look
> into it?

That should happen by default.  Just type "./configure; make"
in a fresh copy.  Make sure /opt/csw is not mentioned in your
environment, though: "printenv | grep /opt/csw" should output nothing.